Package biotransformer.biosystems

## Class BioSystem

- java.lang.Object
- - biotransformer.biosystems.BioSystem

Direct Known Subclasses:
  `EnvMicro`, `Human`

    public class BioSystem
    extends java.lang.Object

Author:
  Yannick Djoumbou Feunang

### Nested Class Summary

Nested Classes
`static class` `BioSystem.BioSystemName`

### Field Summary

Fields
`MReactionsFilter` `mrFilter`
`BioSystem.BioSystemName` `name`

### Constructor Summary

Constructors
`BioSystem​(BioSystem.BioSystemName bsName, java.util.ArrayList<Enzyme> enzymes)`
`BioSystem​(BioSystem.BioSystemName bsName, org.codehaus.jackson.map.ObjectMapper mapper)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.LinkedHashMap<Enzyme.EnzymeName,​Enzyme>` `getEnzymeHash()`
`java.util.ArrayList<Enzyme>` `getEnzymesList()`
`java.util.LinkedHashMap<MetabolicPathway.MPathwayName,​java.util.ArrayList<Enzyme>>` `getMetPathwaysHash()`
`java.util.LinkedHashMap<java.lang.String,​MetabolicReaction>` `getReactionsHash()`
`java.util.LinkedHashMap<java.lang.String,​java.lang.Double>` `getReactionsORatios()`
`ambit2.smarts.SMIRKSManager` `getSmirksManager()`
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mrFilter

    public MReactionsFilter mrFilter

#### name

    public BioSystem.BioSystemName name

### Constructor Detail

#### BioSystem

    public BioSystem​(BioSystem.BioSystemName bsName,
                     org.codehaus.jackson.map.ObjectMapper mapper)
              throws org.codehaus.jackson.JsonParseException,
                     org.codehaus.jackson.map.JsonMappingException,
                     java.io.IOException

Throws:
  `org.codehaus.jackson.JsonParseException`
  `org.codehaus.jackson.map.JsonMappingException`
  `java.io.IOException`

#### BioSystem

    public BioSystem​(BioSystem.BioSystemName bsName,
                     java.util.ArrayList<Enzyme> enzymes)

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws org.codehaus.jackson.JsonParseException,
                            org.codehaus.jackson.map.JsonMappingException,
                            java.io.IOException

Throws:
  `org.codehaus.jackson.JsonParseException`
  `org.codehaus.jackson.map.JsonMappingException`
  `java.io.IOException`

#### getEnzymesList

    public java.util.ArrayList<Enzyme> getEnzymesList()

#### getSmirksManager

    public ambit2.smarts.SMIRKSManager getSmirksManager()

#### getReactionsHash

    public java.util.LinkedHashMap<java.lang.String,​MetabolicReaction> getReactionsHash()

#### getReactionsORatios

    public java.util.LinkedHashMap<java.lang.String,​java.lang.Double> getReactionsORatios()

#### getEnzymeHash

    public java.util.LinkedHashMap<Enzyme.EnzymeName,​Enzyme> getEnzymeHash()

#### getMetPathwaysHash

    public java.util.LinkedHashMap<MetabolicPathway.MPathwayName,​java.util.ArrayList<Enzyme>> getMetPathwaysHash()